upstart-file-bridge 'EVENT=create' not working for directories

Bug #1221466 reported by Thibaut Brandscheid on 2013-09-05
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
upstart (Ubuntu)
Medium
James Hunt

Bug Description

description "Test Upstart"
start on file FILE=/home/ubuntu/Desktop/test/ EVENT=create
stop on runlevel [!2345]
script
    exec /bin/echo -e "<- upstart\t"$(date) >> /home/ubuntu/Desktop/out.txt
end script

Problem:
If 'EVENT=create' is set - as referenced in the manpage of the upstart-file-bridge - the above script doesn't fire as expected. If I remove the event specification and the script reacts to all file events, ~/Desktop/out.txt gets a new line. Only 'EVENT=modify' seems to work.

Further:
'EVENT=delete' doesn't work too. If I did no mistake, than its a separate bug.

Note:
The upstart cookbook's upstart-file-bridge example calls the create event not 'EVENT=create' like in the man page, but 'EVENT=created'. Both versions doesn't work.

PS: I'm a Upstart newbie, so maybe I just did something wrong.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: upstart 1.10-0ubuntu1
ProcVersionSignature: Ubuntu 3.11.0-4.9-generic 3.11.0-rc7
Uname: Linux 3.11.0-4-generic x86_64
.etc.init.juju.agent.ubuntu.local.override: manual
.etc.init.juju.db.ubuntu.local.override: manual
.etc.init.lxc.override: manual
ApportVersion: 2.12.1-0ubuntu3
Architecture: amd64
Date: Fri Sep 6 00:08:28 2013
InstallationDate: Installed on 2013-08-27 (9 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130827)
MarkForUpload: True
ProcKernelCmdline: BOOT_IMAGE=/boot/vmlinuz-3.11.0-4-generic root=UUID=a3401a0f-92c7-487c-9ccc-c61995aead71 ro quiet splash vt.handoff=7
SourcePackage: upstart
UpgradeStatus: No upgrade log present (probably fresh install)
UpstartBugCategory: System
modified.conffile..etc.at.deny: [inaccessible: [Errno 13] Permission denied: '/etc/at.deny']
modified.conffile..etc.default.whoopsie: [modified]
mtime.conffile..etc.default.whoopsie: 2013-08-27T23:37:38.837038

Related branches

Revision history for this message
Thibaut Brandscheid (k1au3-is-37) wrote :
description: updated
Revision history for this message
James Hunt (jamesodhunt) wrote :

Hi Thibaut - Thanks for reporting this. I can recreate the problem locally so the next update should resolve this issue.

Changed in upstart (Ubuntu):
assignee: nobody → James Hunt (jamesodhunt)
James Hunt (jamesodhunt) on 2013-09-10
summary: - upstart-file-bridge 'EVENT=create' not working
+ upstart-file-bridge 'EVENT=create' not working for directories
Changed in upstart (Ubuntu):
status: New → In Progress
Steve Langasek (vorlon) on 2013-10-02
Changed in upstart (Ubuntu):
importance: Undecided → Medium
Changed in upstart (Ubuntu):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package upstart - 1.11-0ubuntu1

---------------
upstart (1.11-0ubuntu1) trusty; urgency=low

  [ Dmitrijs Ledkovs ]
  * Run as much test-suites as possible, before exiting with failure.

  [ James Hunt ]
  * New upstream release.
    - the global environment is now serialized on re-exec. LP: #1238078.
    - fixes support for upstart-file-bridge detecting directory creation.
      LP: #1221466.
    - Fixes upstart user session to not override the user's configured
      umask. LP: #1240686.
    - Makes the session init available on the session dbus.
      LP: #1203595, #1235649.

  [ Steve Langasek ]
  * Document the authoritative Vcs branch in debian/control.
  * Update Standards-Version to 3.9.5, no changes required.
 -- James Hunt <email address hidden> Fri, 15 Nov 2013 13:16:56 +0000

Changed in upstart (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers